<script type="text/javascript">

function course_choice(course_name){

  var message_confirmation = confirm("Você escolheu: " + course_name);

  if (message_confirmation == true) {
    $.ajax({
      url : "/plugin/fga/steps/render_upload_files",
      type : "post",
      data : {course_name: course_name}
    });
  }
}

</script>

<h2> Escolha seu curso: </h2>

<div class= "courses-wrapper" >
  <button type="button" name="button" id="aeroespacial" value="Aeroespacial" onclick="course_choice(this.value)">
    <div class= "btn-courses" >
      <span class="fa fa-rocket"></span>
      <h2 class="course-title">
        Aeroespacial
      </h2>
    </div>
  </button>

  <button type="button" name="button" id="automotiva" value="Automotiva" onclick="course_choice(this.value)">
    <div class= "btn-courses" >
      <span class="fa fa-car"></span>
      <h2 class="course-title">
        Automotiva
      </h2>
    </div>
  </button>

  <button type="button" name="button" id="eletronica" value="Eletrônica" onclick="course_choice(this.value)">
    <div class= "btn-courses" >
      <span class="fa fa-desktop"></span>
      <h2 class="course-title">
        Eletrônica
      </h2>
    </div>
  </button>

  <button type="button" name="button" id="energia" value="Energia" onclick="course_choice(this.value)">
    <div class= "btn-courses" >
      <span class="fa fa-leaf"></span>
      <h2 class="course-title">
        Energia
      </h2>
    </div>
  </button>

  <button type="button" name="button" id="software" value="Software" onclick="course_choice(this.value)">
    <div class= "btn-courses" >
      <span class="fa fa-terminal"></span>
      <h2 class="course-title">
        Software
      </h2>
    </div>
  </button>
</div>

<button type="button" class="tcc-button" name="button" id="back_forms" onclick="render_forms()">Voltar</button>

<script type="text/javascript">
  $(document).ready(function() {
    var submition_phase = '<%= @submition_phase %>'

    if(submition_phase === 'Envio') {
      var login_icon = $("#login-icon")
      login_icon.removeClass("step-active")
      login_icon.addClass("step-passed")

      var form_icon = $("#form-icon")
      form_icon.addClass("step-hide")

      var back_forms = $("#back_forms")
      back_forms.addClass("tcc-button-hide");

    }else if(submition_phase === 'Inscrição'){
      var form_icon = $("#form-icon")
      form_icon.removeClass("step-active")
      form_icon.addClass("step-passed")
    }else{
    }

    var course_icon = $("#course-icon")
    course_icon.addClass("step-active")
  });
</script>
